Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceTreeFilter.Builder

java.lang.Object
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceTreeFilter.Builder

Enclosing class:
  `DeviceTreeFilter`

public static class DeviceTreeFilter.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeviceTreeFilter`
  `build()`
  `DeviceTreeFilter.Builder`
  `setDateFrom(Date dateFrom)`
  `DeviceTreeFilter.Builder`
  `setDateTo(Date dateTo)`
  `DeviceTreeFilter.Builder`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `DeviceTreeFilter.Builder`
  `setDeviceId(String deviceId)`
  `DeviceTreeFilter.Builder`
  `setDeviceTypeIds(Set<Integer> deviceTypeIds)`
  `DeviceTreeFilter.Builder`
  `setEntityFilter(List<FilterEntityAttr> entityFilter)`
  `DeviceTreeFilter.Builder`
  `setHost(String host)`
  `DeviceTreeFilter.Builder`
  `setIdentifier(String identifier)`
  `DeviceTreeFilter.Builder`
  `setIntersectDateFrom(Date intersectDateFrom)`
  `DeviceTreeFilter.Builder`
  `setIntersectDateTo(Date intersectDateTo)`
  `DeviceTreeFilter.Builder`
  `setLoadDeviceGroupLink(boolean loadDeviceGroupLink)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setDeviceId

    public DeviceTreeFilter.Builder setDeviceId(String deviceId)

  - ### setIdentifier

    public DeviceTreeFilter.Builder setIdentifier(String identifier)

  - ### setHost

    public DeviceTreeFilter.Builder setHost(String host)

  - ### setDeviceTypeIds

    public DeviceTreeFilter.Builder setDeviceTypeIds(Set<Integer> deviceTypeIds)

  - ### setDeviceGroupIds

    public DeviceTreeFilter.Builder setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### setDateFrom

    public DeviceTreeFilter.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public DeviceTreeFilter.Builder setDateTo(Date dateTo)

  - ### setIntersectDateFrom

    public DeviceTreeFilter.Builder setIntersectDateFrom(Date intersectDateFrom)

  - ### setIntersectDateTo

    public DeviceTreeFilter.Builder setIntersectDateTo(Date intersectDateTo)

  - ### setEntityFilter

    public DeviceTreeFilter.Builder setEntityFilter(List<FilterEntityAttr> entityFilter)

  - ### setLoadDeviceGroupLink

    public DeviceTreeFilter.Builder setLoadDeviceGroupLink(boolean loadDeviceGroupLink)

  - ### build

    public DeviceTreeFilter build()